#include "qbtgstreamermixertrack.h"

#include <QtDebug>

QbtGStreamerMixerTrack::QbtGStreamerMixerTrack()
{
}

QbtGStreamerMixerTrack::~QbtGStreamerMixerTrack()
{
}

void QbtGStreamerMixerTrack::setGstMixerTrack(GstMixerTrack *mixerTrack)
{
    m_mixerTrack = mixerTrack;
}

GstMixerTrack *QbtGStreamerMixerTrack::gstMixerTrack()
{
    return m_mixerTrack;
}

uint *QbtGStreamerMixerTrack::flags()
{
    guint *f;

    g_object_get(G_OBJECT(m_mixerTrack), "flags", &f, NULL);

    return f;
}

QString QbtGStreamerMixerTrack::label()
{
    gchar *l;

    g_object_get(G_OBJECT(m_mixerTrack), "label", &l, NULL);

    return QString(l);
}

int QbtGStreamerMixerTrack::maximumVolume()
{
    return 0;
}

int QbtGStreamerMixerTrack::minimumVolume()
{
    return 0;
}

int QbtGStreamerMixerTrack::numberOfChannels()
{
    return 0;
}
